List all Executions for a Task
GET
https://api.neuroscale.io/v2.0/tasks/{task-id}/executions
Path parameters¶
| Name | Type | Description |
|---|---|---|
task-id |
String | Unique identifier of the Task. |
The Executions Collection resource has the following attributes:
| Name | Type | Description |
|---|---|---|
| count | Integer | Total number of Execution objects contained in the response. |
| data | Array of Executions | Array of Execution objects. |
| object | String | Resource type (value is "list"). |
| url | String | Uniform Resource Locator (URL) of the Executions Collection resource relative to the base NeuroScale Platform API URL. |
Authentication¶
Type: Access token
Required scopes: task or read:task
Responses¶
Example response — 200¶
{
"count": 1,
"data": [
{
"created_at": 1467233124,
"errors": [],
"finished_at": 1467233388,
"id": "ex_42iSJz5TLRU29G9tLihRZE",
"object": "execution",
"started_at": 1467233105,
"state": "completed",
"task": "tsk_TNje6VQJUPgaDA8tVbHPpU",
"transitions": [],
"updated_at": 1467233413
}
],
"object": "list",
"url": "/v1/tasks/tsk_TNje6VQJUPgaDA8tVbHPpU/executions"
}